#!/bin/bash

base_dir=`readlink -f $(dirname $0)`

echo "setup /usr/bin/cloud-init"
cp $base_dir/cloud-init /usr/bin/cloud-init
chmod 755 /usr/bin/cloud-init

echo "setup /etc/cloud/cloud.cfg"
mkdir -p /etc/cloud/
cp $base_dir/cloud.cfg /etc/cloud/

echo "enable cloud-init.service"
cp $base_dir/cloud-init.service /usr/lib/systemd/system
systemctl enable cloud-init.service

echo "success"
