from cloudinit.sources import DataSourceAliYun
from cloudinit.helpers import Paths
from cloudinit import aliyun_utils
from cloudinit import stages
from cloudinit import config

import pprint
import pdb
import sys


def get_init():
    init = stages.Init()
    init.read_cfg()
    return init


def check_all():
    init = get_init()
    init.fetch()
    print init.datasource.version_url


def check_upgrade(init):
    init.fetch()
    cloud = init.cloudify()
    aliyun_utils.upgrade_handler('upgrade', {}, cloud, config.LOG, '')


def check_local(init):
    init.fetch()
    d = init.datasource
    pprint.pprint( init.cfg )
    pprint.pprint( d.metadata )
    pprint.pprint( d.userdata_raw )


if __name__ == '__main__':

    if '-d' in sys.argv:
        pdb.set_trace()

    init = get_init()

    #check_upgrade(init)
    #check_local(init)
